# DataExchange
TKXSBase
IFSelect

# IFSelect_SelectAnyType Class Reference

A SelectAnyType sorts the Entities of which the Type is Kind
of a given Type : this Type for Match is specific of each
class of SelectAnyType
.

`#include <IFSelect_SelectAnyType.hxx>`

Inheritance diagram for IFSelect_SelectAnyType:

[legend]

## Public Member Functions

virtual Standard_EXPORT Handle_Standard_Type | TypeForMatch () const =0
| Returns the Type which has to be matched for select .
Standard_EXPORT Standard_Boolean | Sort (const Standard_Integer rank, const Handle(Standard_Transient)&ent, const Handle(Interface_InterfaceModel)&model) const
| Returns True for an Entity (model->Value(num)) which is kind of the choosen type, given by the method TypeForMatch. Criterium is IsKind. .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Member Function Documentation

Standard_EXPORT const IFSelect_SelectAnyType::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from IFSelect_SelectExtract. Reimplemented in IFSelect_SelectType.

Standard_EXPORT Standard_Boolean IFSelect_SelectAnyType::Sort | ( | const Standard_Integer | rank,
|  | const Handle(Standard_Transient)& | ent,
|  | const Handle(Interface_InterfaceModel)& | model
| ) | const`[virtual]`

| Implements IFSelect_SelectExtract.

virtual Standard_EXPORT Handle_Standard_Type IFSelect_SelectAnyType::TypeForMatch | ( |  | ) | const`[pure virtual]`

| Implemented in IFSelect_SelectType.

The documentation for this class was generated from the following file:

- IFSelect_SelectAnyType.hxx